aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2006-10-12 03:30:52 +0000
committerBill Nottingham <notting@redhat.com>2006-10-12 03:30:52 +0000
commitc24d6c193d7523bf09f51d72e2495f1a569ff09b (patch)
treead087fc3ddc40897018ec0be491c23ed01c3d732
parent0cde26f146f4c63d22ab36ed80e526a858165762 (diff)
downloadinitscripts-c24d6c193d7523bf09f51d72e2495f1a569ff09b.tar
initscripts-c24d6c193d7523bf09f51d72e2495f1a569ff09b.tar.gz
initscripts-c24d6c193d7523bf09f51d72e2495f1a569ff09b.tar.bz2
initscripts-c24d6c193d7523bf09f51d72e2495f1a569ff09b.tar.xz
initscripts-c24d6c193d7523bf09f51d72e2495f1a569ff09b.zip
- Handle "nodmraid" and "nompath" command line options (#209377, <pjones@redhat.com>)
-rwxr-xr-xrc.d/rc.sysinit5
1 files changed, 3 insertions, 2 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index d9d84047..028e4d31 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -424,7 +424,8 @@ if [ -f /etc/crypttab ]; then
fi
if [ -c /dev/mapper/control ]; then
- if [ -f /etc/multipath.conf -a -x /sbin/multipath.static ] ; then
+ if ! strstr "$cmdline" nompath && [ -f /etc/multipath.conf -a \
+ -x /sbin/multipath.static ]; then
modprobe dm-multipath > /dev/null 2>&1
/sbin/multipath.static -v 0
if [ -x /sbin/kpartx ]; then
@@ -432,7 +433,7 @@ if [ -c /dev/mapper/control ]; then
fi
fi
- if [ -x /sbin/dmraid ]; then
+ if ! strstr "$cmdline" nodmraid && [ -x /sbin/dmraid ]; then
modprobe dm-mirror >/dev/null 2>&1
for x in $(/sbin/dmraid -ay -i -p -t 2>/dev/null | \
egrep -iv "^no " | \